Package org.apache.solr.common.util

## Class CommonTestInjection

- java.lang.Object
- - org.apache.solr.common.util.CommonTestInjection

    public class CommonTestInjection
    extends Object

Allows random faults to be injected in running code during test runs across all solr packages.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
`CommonTestInjection()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Map<String,​String>` `injectAdditionalProps()`
`static void` `reset()`
`static void` `setAdditionalProps​(Map<String,​String> additionalSystemProps)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonTestInjection

    public CommonTestInjection()

### Method Detail

#### reset

    public static void reset()

#### setAdditionalProps

    public static void setAdditionalProps​(Map<String,​String> additionalSystemProps)

#### injectAdditionalProps

    public static Map<String,​String> injectAdditionalProps()